<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">sampleApp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html">KeywordObserver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::sampleApp::KeywordObserver Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html">alexaClientSDK::sampleApp::KeywordObserver</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html#a0acdbc01e0beeb177e81e7af2fe7cf58">KeywordObserver</a>(std::shared_ptr&lt; defaultClient::DefaultClient &gt; client, capabilityAgents::aip::AudioProvider audioProvider, std::shared_ptr&lt; esp::ESPDataProviderInterface &gt; espProvider=nullptr)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html">alexaClientSDK::sampleApp::KeywordObserver</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html#a150a0412aaf292c599ad5edf510088f3">onKeyWordDetected</a>(std::shared_ptr&lt; avsCommon::avs::AudioInputStream &gt; stream, std::string keyword, avsCommon::avs::AudioInputStream::Index beginIndex=UNSPECIFIED_INDEX, avsCommon::avs::AudioInputStream::Index endIndex=UNSPECIFIED_INDEX, std::shared_ptr&lt; const std::vector&lt; char &gt;&gt; KWDMetadata=nullptr) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html">alexaClientSDK::sampleApp::KeywordObserver</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html#a78930e4e0d76c7637238ee9637723ddb">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordObserverInterface::onKeyWordDetected</a>(std::shared_ptr&lt; avs::AudioInputStream &gt; stream, std::string keyword, avs::AudioInputStream::Index beginIndex=UNSPECIFIED_INDEX, avs::AudioInputStream::Index endIndex=UNSPECIFIED_INDEX, std::shared_ptr&lt; const std::vector&lt; char &gt;&gt; KWDMetadata=nullptr)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordObserverInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html#a2da7bd77cefa87f2cc17c2f6d47be20a">UNSPECIFIED_INDEX</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordObserverInterface</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html#a119306bb8a20b55e0f3e4696db57bd0c">~KeyWordObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
